<?php
define('EDITOR_DB','editor.db.json');
define('DEFAULT_INVENTORY_PLUGIN_PATH','/usr/local/esia/plugins/');
require_once CRON_PATH.'/cron_inventory.lib.php'; 
$_SERVER['DOCUMENT_ROOT'] =HTTP_PATH;
include_once HTTP_PATH.'/esia.conf.php';
$options = getopt($SHORT_OPTS, $LONG_OPTS);
$debug 	    = cron\inventory\getParam($options,"D","Debug",NULL);
$listnode 	= cron\inventory\getParam($options,"n","node",NULL);
$group 	= cron\inventory\getParam($options,"g","groupnode",NULL);

include_once MVCMODEL;
include_once HTTP_PATH.'/Model_adm.php';
include_once HTTP_PATH.'/libs/logo_oid.hash.php';

cron\inventory\trace($debug,'DATABASE CONNECTION');
//connection à la base de donnée
try
{
	$dbconnection = new PDO('pgsql:host='.DB_HOST.';port='.DB_PORT.';dbname='.DB_NAME, DB_USERNAME, DB_PWD);
	$dbconnection->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_WARNING);
}
catch(Exception $e)
{
	echo 'PDO SQL ERROR: '.$e->getMessage().'<br />';
	echo 'N° : '.$e->getCode();
}
cron\inventory\trace($debug,'DATABASE CONNECTION SUCCESS');
//groupe de noeud 	static function getNodeList($dbconnection,$user_id=NULL,$group=NULL,$t_return = Model_esia::NODE_ASSOC )
// Noeud => instanceNode
// All
cron\inventory\trace($debug,'IMPORTANTION MODEL INVENTORY');
$arr = Model_esia::getWebPlugin($dbconnection,false,'WEBP_INVENTORY');
$plugin_url = $arr[0]['apache_path'];
include_once  HTTP_PATH.$plugin_url.'/Model_inventory.php';
$editorDatabase = file_get_contents(HTTP_PATH.$plugin_url.EDITOR_DB);
$editorDatabase = json_decode($editorDatabase,true);

cron\inventory\trace($debug,'LOAD VALUE');
$element['manufacturer'] = Model_inventory::getImportManufacturer($dbconnection);
cron\inventory\trace($debug,$element['manufacturer']);
$element['type'] =Model_inventory::getImportType($dbconnection);
cron\inventory\trace($debug,$element['type']);
$element['component'] =Model_inventory::getImportComponent($dbconnection);
cron\inventory\trace($debug,$element['component']);
cron\inventory\trace($debug,'GET NODE LIST');
$nodes= array();
if(!empty($listnode))
{
	$listnode = explode(',', $listnode);
	foreach($listnode as $nod)
	{
		$nodes[] = Model_esia::InstanceNode($dbconnection, $nod);
	}
}
else
{
	$nodes =  Model_esia::getNodeList($dbconnection,NULL,$group,Model_esia::NODE_INSTANCE);
}

cron\inventory\trace($debug,'NODE SELECTED '.count($nodes));
?>
