<?php
/*
** @name: inventory.conf.php
**
** @description: configuration file used to defined specific constantes and libraries path
** @author: Quentin George <q.george@esia-sa.com>
** @date: 14/03/2023
*/

// Webp classes & libraries
define('MODEL_INVENTORY', 'Model_inventory.php');
define('LIB_INVENTORY', 'libs/inventory.lib.php');

// Constants
define('INV_DATA_PATH', '/data/inventory/');
define('INV_RULES_CONF_FILE', 'scan-rules-conf.json');
define('INV_IMPORT_CONF_FILE', 'scan-import-conf.json');
define('INV_EXEC_NOW_CONF_FILE', 'now-conf.json');
define('INV_RULES_VALID_INTERVALS', array('year', 'month', 'week', 'day'));
define('INV_IMPORT_VALID_INTERVALS', array('year', 'month', 'week', 'day', 'once'));
define('INV_RULES_OPERATORS', array('=', '>', '<', '>=', '<='));
// define('INV_IMPORT_SCAN_TYPES', array('SNMP', 'Intunes', 'Powershell'));
define('INV_IMPORT_SCAN_TYPES', array('SNMP','Powershell'));

?>
