<?php
if (empty($lang) || !is_array($lang))
{
	$lang = array();
}
$lang = array_merge($lang, array(
		'WEBP_INVENTORY' => 'Inventory',
		'INVENTORY' => 'Inventory',
		'INVENTORY_MENU' => 'Inventory list',
		'INVENTORY_GROUP_NAME' => 'Groupe name',
		'INVENTORY_NODE' => 'Node',
		'INVENTORY_GROUP' => 'Group',
		'INVENTORY_COMPONENT' => 'Component',
		'INVENTORY_COMPONENT_TYPE' => 'Component type',
		'INVENTORY_TYPE' => 'Type',
		'INVENTORY_SUBTYPE' => 'Sub-type',
		'INVENTORY_SOFTWARE_MANAGEMENT' => 'Software management',
		'INVENTORY_HARDWARE_MANAGEMENT' => 'Hardware management',
		'INVENTORY_HARDWARE_LIST' => 'Hardware list',
		'INVENTORY_SOFTWARE_LIST' => 'Software list',
		'INVENTORY_COUNT' => 'Number',
		'INVENTORY_MANUFACTURER' => 'Manufacturer',
		'INVENTORY_MANUFACTURERS' => 'Manufacturers',
		'INVENTORY_MANUFACTURER_COUNT' => 'Number of manufacturers',
		'INVENTORY_MANUFACTURER_CHASSIS_COUNT' => 'Number of manufacturers (Chassis)',
		'INVENTORY_LIST_OS' => 'Number of operating systems',
		'INVENTORY_VERSION' => 'Version',
		'INVENTORY_DEVICE' => 'Node',
		'INVENTORY_LIST_SOFTWARE_TOP' => 'Top 10 softwares',
		'INVENTORY_LIST_CHASSIS_TOP' => 'Top 10 Chassis type hardwares',
		'INVENTORY_DESCRIPTION' => 'Description',
		'INVENTORY_REFERENCE' => 'Reference',
		'INVENTORY_SOFTWARE' => 'Software',
		'INVENTORY_SOFTWARES' => 'Softwares',
		'INVENTORY_HARDWARE' => 'Hardware',
		'INVENTORY_HARDWARES' => 'Hardwares',
		'INVENTORY_CHASSIS_COUNT' => 'Number of Chassis type hardwares',
		'INVENTORY_DEVICE_TYPE' => 'Node type',
		'INVENTORY_RULES' => 'Rules',
		'INVENTORY_IMPORTATION' => 'Importation',
		'INVENTORY_CONFIGURATION' => 'Configuration',
		'INVENTORY_RULES_LIST' => 'Rules list',
		'INVENTORY_RULE_NAME' => 'Rule name',
		'INVENTORY_TARGET' => 'Target',
		'INVENTORY_MATCH' => 'Match',
		'INVENTORY_ACTIVATE' => 'Enabled',
		'INVENTORY_OPERATOR' => 'Operator',
		'INVENTORY_ADD' => 'Add',
		'INVENTORY_ADDRULES' => 'Add rule',
		'INVENTORY_TARGET_GROUP' => 'Target (Groups)',
		'INVENTORY_TARGET_DEVICE' => 'Target (Nodes)',
		'INVENTORY_MATCH_TARGET' => 'match/target',
		'INVENTORY_GENERAL_RULES' => 'Common rule information',
		'INVENTORY_SN' => 'Serial number',
		'INVENTORY_COUNT_DEVICE' => 'Device count :&nbsp;',
		'INVENTORY_COUNT_GROUP' => 'Group count :&nbsp;',
		'INVENTORY_GOTO_DETAILS' => 'Go to details',
		'INVENTORY_DETAIL_RULES' => 'Rule details',
		'INVENTORY_MODIFY_RULES' => 'Modify rule',
		'INVENTORY_DELETE_RULES' => 'Delete rule',
		'INVENTORY_DETAIL_IMPORT' => 'Import details',
		'INVENTORY_MODIFY_IMPORT' => 'Modify import',
		'INVENTORY_DELETE_IMPORT' => 'Delete import',
		'INVENTORY_DELETE_SUCCESS' => 'Successfully deleted',
		'INVENTORY_DELETE_CONFIRMATION' => 'Do you want to delete this rule ?',
		'INVENTORY_ADD_SUCCESS' => 'Successfully added',
		'INVENTORY_SCAN_RULES_PARAM' => 'Rules scan parameters',
		'INVENTORY_SCAN_IMPORT_PARAM' => 'Importation scan parameters',
		'INVENTORY_SCAN_IMPORT_PWSH' => 'Powershell authentication parameters',
		'INVENTORY_SCAN_PWSH_AUTH_MODE' => 'Authentication settings',
		'INVENTORY_SCAN_PWSH_AUTH_NODES' => 'Get from nodes :',
		'INVENTORY_SCAN_PWSH_AUTH_SAME_CONF' => 'Set here :',
		'INVENTORY_SCAN_PWSH_AUTH_CHECKBOX' => 'Configure here a login and a password :',
		'INVENTORY_SCAN_PWSH_AUTH_INFO' => 'INFO : If you don\'t configure password here, The node password settings will be used.',
		'INVENTORY_SCAN_PWSH_AUTH_INFO' => 'INFO : For Unity, the paramters must be set on the Unity.',
		'INVENTORY_SCAN_INTERVAL' => 'Interval',
		'INVENTORY_SCAN_INTERVAL_YEAR' => 'Every year',
		'INVENTORY_SCAN_INTERVAL_MONTH' => 'Every month',
		'INVENTORY_SCAN_INTERVAL_WEEK' => 'Every week',
		'INVENTORY_SCAN_INTERVAL_DAY' => 'Every day',
		'INVENTORY_SCAN_INTERVAL_ONCE' => 'Only once',
		'INVENTORY_SCAN_NEXT_EXEC' => 'Next execution',
		'INVENTORY_SCAN_RULES_PARAM_SUCCESS' => 'Rule scan settings have been successfully saved',
		'INVENTORY_SCAN_IMPORT_PARAM_SUCCESS' => 'Import scan settings have been successfully saved',
		'INVENTORY_SCAN_TYPE' => 'Scan type',
		'INVENTORY_ERROR_OPEN_FILE' => 'Unable to open the file',
		'INVENTORY_ERROR_WRITE_FILE' => 'Unable to write into file',
		'INVENTORY_ERROR_CREATE_DIR' => 'Unable to create destination directory',
		'INVENTORY_ERROR_DATE_PARAM' => 'Date parameter is missing or incorrect',
		'INVENTORY_ERROR_INTERVAL_PARAM' => 'Interval parameter is missing or incorrect',
		'INVENTORY_ERROR_GROUP_PARAM' => 'Node group parameter is missing',
		'INVENTORY_ERROR_TYPE_PARAM' => 'Scan type parameter is missing',
		'INVENTORY_SCAN_RULES_NOW_SUCCESS' => 'A rule scan will be run',
		'INVENTORY_SCAN_IMPORT_NOW_SUCCESS' => 'An import scan will be run',
		'INVENTORY_SCAN_IMPORT_ADD' => 'Add import scan',
		'INVENTORY_RULES_SOFTWARE_STATE' => 'Software status',
		'INVENTORY_RULES_HARDWARE_STATE' => 'Hardware status',
		'INVENTORY_RULES_SOFTWARE_TOP_ERR' => 'Top 5 software errors',
		'INVENTORY_RULES_HARDWARE_TOP_ERR' => 'Top 5 hardware errors',
		'INVENTORY_MANUFACTURER_SOFTWARE_TOP' => 'Top 5 software manufacturers',
		'INVENTORY_MANUFACTURER_HARDWARE_TOP' => 'Top 5 hardware manufacturers',
		'INVENTORY_RULE_MATCH_COUNT' => 'Number of errors',
		'INVENTORY_RULE_SOFTWARE_EMPTY' => 'No rules applied on software',
		'INVENTORY_RULE_SOFTWARE_EMPTY_CONGRATS' => 'Congratulations ! No error on software rules',
		'INVENTORY_RULE_HARDWARE_EMPTY' => 'No rules applied on hardware',
		'INVENTORY_RULE_HARDWARE_EMPTY_CONGRATS' => 'Congratulations ! No error on hardware rules',
		'INVENTORY_STATE' => 'State',
		'INVENTORY_EDITOR' => 'Editor / Manufacturer',
		'TAB_NODE_TAB_INVENTORY' => 'Inventory',
		'INVENTORY_ROOT_DESC' => 'Full inventory',
		'INVENTORY_TOP_10' => 'Top 10',
		'INVENTORY_TOP_MANUFACTURER_EMPTY' => 'No hardware',
		'INVENTORY_TOP_OS_EMPTY' => 'No OS',
		'INVENTORY_COMPONENT_DESCRIPTION' => 'Component description',
		'INVENTORY_BUILT_DESCRIPTION' => 'Built description',
		'INVENTORY_SCANNED_COMPONENTS' => 'Scanned components',
		'INVENTORY_COMPONENTS_STATE_OK' => 'Components ok',
		'INVENTORY_COMPONENTS_STATE_OUTDATED' => 'Components outdated',
		'INVENTORY_RULE_ADD_SUCCESS' => 'Rule added successfully',
		'INVENTORY_RULE_UPDT_SUCCESS' => 'Rule updated successfully',
		'INVENTORY_ERROR_RULE_ID' => 'The rule ID is missing',
		'INVENTORY_TAB_RULE_MAIN' => 'Configuration',
		'INVENTORY_TAB_RULE_COMP' => 'Components',
		'INVENTORY_RULE_STATE_OK' => 'Ok',
		'INVENTORY_RULE_STATE_OUTDATED' => 'Outdated',
		'INVENTORY_ID' => 'ID',
		'INVENTORY_TASK_ID' => 'Task ID',
		'INVENTORY_START' => 'Start',
		'INVENTORY_END' => 'End',
		'INVENTORY_MESSAGE' => 'Message',
		'INVENTORY_IMPORT_TASKS' => 'Importation tasks',
		'INVENTORY_IMPORT_ERR_HISTORY' => 'Importation errors history',
		'INVENTORY_NEW_TASK' => 'Programed',
		'INVENTORY_PENDING_TASK' => 'Pending',
		'INVENTORY_PROCESSING_TASK' => 'In progress',
		'INVENTORY_PROCESS_TASK' => 'In progress',
		'INVENTORY_TERMINATED_TASK' => 'Finished',
		'INVENTORY_ERROR_TASK' => 'Error',
		'INVENTORY_FAILED_TASK' => 'Error',
		'INVENTORY_ERROR_NONE' => 'None',
		'INVENTORY_ERROR_ACQ' => 'Acquitted',
		'INVENTORY_LAST_SCAN' => 'Last scan',
		'INVENTORY_NEXT_SCAN' => 'Next scan',
		'INVENTORY_RULE_EXECUTE_NOW_LEGEND' => 'Execution in the next 5 minutes',
		'INVENTORY_WIDGET_PIE' => 'Pie',
		'INVENTORY_WIDGET_LEGEND_POSITION' => 'Legend position',
		'INVENTORY_WIDGET_LEGEND_TOP' => 'Top',
		'INVENTORY_WIDGET_LEGEND_BOTTOM' => 'Bottom',
		'INVENTORY_WIDGET_LEGEND_RIGHT' => 'Right',
		'INVENTORY_WIDGET_LEGEND_LEFT' => 'Left',
		'INVENTORY_WIDGET_LIMIT' => 'Limit number',
		'INVENTORY_DISPLAY_LOG' => 'Display log',
		'INVENTORY_DISPLAY_LAST_LOG' => 'Display last log',
		'INVENTORY_DEL_IMPORT_TASK_ID_NUMBER' => 'Task ID number ',
		'INVENTORY_DEL_IMPORT_TASK_CONFIRM_MSG' => 'Do you want to delete this import task ?',
		'INVENTORY_SCAN_IMPORT_ADD_SUCCESS' => 'Import scan added successfully',
		'INVENTORY_SCAN_IMPORT_UPDT_SUCCESS' => 'Import scan updated successfully',
		'INVENTORY_RULE_EXEC_NOW_PENDING' => 'A rule scan is already scheduled in the 5 next minutes',
        'INVENTORY_SCAN_PWSH_AUTH_UNITY' => 'NOTE: On the Unity, the login and password must be set on it.',
));

?>
