CREATE INDEX fki_built_hardware_id
    ON public.inventory_is_built USING btree
    (built_hardware_id ASC NULLS LAST)
    WITH (deduplicate_items=True)
;
CREATE INDEX fki_built_device_id
    ON public.inventory_is_built USING btree
    (built_device_id ASC NULLS LAST)
    WITH (deduplicate_items=True)
;

CREATE INDEX fki_component_manufacturer_id
    ON public.inventory_component USING btree
    (component_manufacturer_id ASC NULLS LAST)
    WITH (deduplicate_items=True)
;

ALTER table inventory_is_built ALTER COLUMN built_serial_number TYPE character varying(50);
